# DataGridViewRowsAddedEventArgs

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Provides data for the [RowsAdded](/api/wisej.web/lists-and-grids/datagridview.md#rowsadded) event.

{% tabs %}
{% tab title="C#" %}

```csharp
public class DataGridViewRowsAddedEventArgs : EventArgs
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class DataGridViewRowsAddedEventArgs
    Inherits EventArgs
```

{% endtab %}
{% endtabs %}

## Constructors

### ![](/files/hsR4ok3152WyAf8J2C1u) DataGridViewRowsAddedEventArgs(rowIndex, rowCount)

Initializes a new instance of the [DataGridViewRowsAddedEventArgs](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewrowsaddedeventargs.md) class.

| Name         | Type                                                        | Description                              |
| ------------ | ----------------------------------------------------------- | ---------------------------------------- |
| **rowIndex** | [Int32](https://docs.microsoft.com/dotnet/api/system.int32) | The index of the first added row.        |
| **rowCount** | [Int32](https://docs.microsoft.com/dotnet/api/system.int32) | The number of rows that have been added. |

## Properties

### ![](/files/hsR4ok3152WyAf8J2C1u) RowCount

[Int32](https://docs.microsoft.com/dotnet/api/system.int32): Returns the number of rows that have been added.

### ![](/files/hsR4ok3152WyAf8J2C1u) RowIndex

[Int32](https://docs.microsoft.com/dotnet/api/system.int32): Returns the index of the first added row.

## Used By

| Name                                                                                                                            | Description                                                                                                                                                                                 |
| ------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [DataGridViewRowsAddedEventHandler](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewrowsaddedeventhandler.md) | Represents the method that will handle the [RowsAdded](/api/wisej.web/lists-and-grids/datagridview.md#rowsadded) event of a [DataGridView](/api/wisej.web/lists-and-grids/datagridview.md). |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewrowsaddedeventargs.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
